<?php
/*******************************************************************************/
//                          InstantCMS v1.9                                    //
//                      http://www.instantcms.ru/                              //
//                         plugin p_ad_block v1.0.0                              //
//                     written by Marat Fatikhov  aka                     //
//                     http://www.instantcms.ru/users/marat                    //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

class p_ad_block extends cmsPlugin {

// ==================================================================== //

    public function __construct(){

        parent::__construct();

        //   

        $this->info['plugin']           = 'p_ad_block';
        $this->info['title']            = '   ';
        $this->info['description']      = '         ';
        $this->info['author']           = 'Marat Fatikhov';
        $this->info['version']          = '1.0.0';

        //  -


        // ,    
        $inCore = cmsCore::getInstance();
        $components = array();
        $components = $inCore->getComponentsDirs();

        foreach($components as $component){
           if($component != 'search' || $component != 'comments'){
             $this->events[]                 = 'AFTER_COMPONENT_'.mb_strtoupper($component);
           }
        }
    }

// ==================================================================== //

    /**
     *   
     * @return bool
     */
    public function install(){

        return parent::install();

    }

// ==================================================================== //

    /**
     *   
     * @return bool
     */
    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //

    /**
     *  
     * @param string $event
     * @param mixed $item
     * @return mixed
     */
    public function execute($event, $item){

        parent::execute();

            $item = $this->sendAdBlock($item);

        return $item;
    }

// ==================================================================== //

     private function sendAdBlock($item){

        ob_start();
        ?>
        <!--     -->

        <!--     -->
        <?php
        $code = '';
        $code = ob_get_clean();
        $source = '/<(?:div|h1) (?:class="con_heading"|class="h_movie")(.*?)>(.*?)<\\/(?:div|h1)>/is';
        $replacement = '<h1 class="con_heading"$1>$2</h1>
        <div style="margin-top:15px; margin-bottom:15px;">'.$code.'</div>';
        $item = preg_replace($source, $replacement, $item);

        return $item;
     }
     
//==============================================================================//


} //class
?>
